[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RegionEccentricity Class Reference |

Compute the eccentricity of a 2D region in terms of its prinipal radii. More...

`#include <vigra/accumulator.hxx>`

## Detailed Description

Compute the eccentricity of a 2D region in terms of its prinipal radii.

Formula:

, where m and M are the minor and major principal radius.

AccumulatorChain must be used with CoupledIterator in order to have access to pixel coordinates.

The documentation for this class was generated from the following file:

- vigra/accumulator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1 (Fri May 19 2017)